package meerkat.voting.output.outputcommands;

import meerkat.protobuf.Voting.*;
import meerkat.voting.controller.callbacks.ControllerCallback;

/**
 * This OutputCommand supplies the necessary details for outputting Audit information
 */
public class AuditOutputCommand extends OutputCommand<Void> {

    private final BallotSecrets ballotSecrets;

    public AuditOutputCommand(BallotSecrets ballotSecrets, ControllerCallback<Void> callback) {
        super(callback);
        this.ballotSecrets = ballotSecrets;
    }

    public BallotSecrets getBallotSecrets() {
        return ballotSecrets;
    }

}
